Bug 1947866 - disk.csi.azure.com.spec.operatorLogLevel is not updated when CSO loglevel is changed
Summary: disk.csi.azure.com.spec.operatorLogLevel is not updated when CSO loglevel is...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Christian Huffman
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-04-09 12:49 UTC by Qin Ping
Modified: 2021-07-27 22:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:58:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-storage-operator pull 159 0 None open Bug 1947866: Add log level to Azure Disk CSI Operator 2021-04-13 13:17:15 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:59:12 UTC

Description Qin Ping 2021-04-09 12:49:31 UTC
Description of problem:
disk.csi.azure.com.spec.operatorLogLevel is not updated when CSO loglevel  is changed

Version-Release number of selected component (if applicable):
4.8.0-0.nightly-2021-04-08-200632

How reproducible:
Always

Steps to Reproduce:
1. Set up an OCP cluster on azure
2. Enable TechPreviewNoUpgrade featureset
3. Update the CSO loglevel from Normal to Debug
$ oc get storage cluster -ojson|jq .spec
{
  "logLevel": "Debug",
  "managementState": "Managed",
  "operatorLogLevel": "Normal"
}
4. Check the azure disk csi operatorloglevel

Actual results:
$ oc get clustercsidrivers disk.csi.azure.com -ojson|jq .spec.operatorLogLevel
"Normal"
The operatorloglevel still is "Normal"

$ oc -n openshift-cluster-csi-drivers exec azure-disk-csi-driver-operator-6fb9fd6b49-bz6bb -- ps -aux
USER         PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
1000260+       1  0.5  0.2 1733668 81748 ?       Ssl  03:47   2:50 /usr/bin/azure-disk-csi-driver-operator start
1000260+      46  0.0  0.0  47544  3480 ?        Rs   12:46   0:00 ps -aux

The log level for the operator pod was not changed either.

Expected results:
When the CSO loglevel is changed, the change should be propagate to the operator pod log and the operatorloglevel in clustercsidriver object.

Master Log:

Node Log (of failed PODs):

PV Dump:

PVC Dump:

StorageClass Dump (if StorageClass used by PV/PVC):

Additional info:

Comment 2 Qin Ping 2021-04-19 05:44:02 UTC
When updating the storage/cluster.spec.operatorLogLevel to "Debug", the azure disk csi driver operator pod log level is changed successfully.
$ oc -n openshift-cluster-csi-drivers exec azure-disk-csi-driver-operator-59c845ffc6-9qjbc -- ps -aux
USER         PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
1000270+       1  3.5  0.2 1662256 71180 ?       Ssl  05:38   0:01 /usr/bin/azure-disk-csi-driver-operator start -v=4
1000270+      20  0.0  0.0  47548  3524 ?        Rs   05:39   0:00 ps -aux

But the clustercsidriver/disk.csi.azure.com.spec.operatorLogLevel still is "Normal", it's not consistent with the actual log level of the operator pod.

Comment 3 Qin Ping 2021-04-23 01:42:22 UTC
Per PR: https://github.com/openshift/cluster-storage-operator/pull/131, I'll mark this as verified.

Comment 6 errata-xmlrpc 2021-07-27 22:58:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.